rpc.nfsd(8)

NOM
rpc.nfsd - Processus serveur NFS

SYNOPSIS
/usr/sbin/rpc.nfsd [options] nombre_processus

DESCRIPTION
Le programme rpc.nfsd implémente la partie utilisateur du service NFS. Les principales actions sont prises en charge par le module noyau nfsd. La partie utilisateur se contente de préciser quels sont les sockets que le service noyau doit écouter, quelles versions de NFS il doit prendre en charge et combien de processus légers (threads) il doit lancer.

Le démon rpc.mountd fournit un service auxiliaire nécessaire pour le traitement des requêtes de montage ou démontage des clients NFS.

OPTIONS

-d, --debug
    Activer la journalisation des messages utiles au débogage.

-H, --host nom_hôte
    Indiquer un nom d'hôte spécifique (ou son adresse) où les requêtes NFS seront acceptées. Par défaut, rpc.nfsd accepte les requêtes NFS sur toutes les adresses réseau connues. Il faut noter que lockd (qui effectue le verrouillage des fichiers pour NFS) peut continuer à accepter les requêtes NFS sur toutes les adresses réseau connues. Cela peut changer dans de futures versions du noyau Linux. Cette option peut être utilisée plusieurs fois pour écouter plus d’une interface.

-p, --port port
    Indiquer un port d'écoute spécifique pour les requêtes NFS. Par défaut, rpc.nfsd écoute le port 2049.

-d, --rdma
    Indiquer que les requêtes NFS sur le port standard RDMA (« nfsrdma », port 20049) seront honorées.

--rdma=port
    Écouter les requêtes RDMA sur un port alternatif, pouvant être un nombre ou un nom listé dans /etc/services.

-N, --no-nfs-version version
    Cette option peut être utilisée pour demander à rpc.nfsd de ne pas prendre en charge certaines versions de NFS. La version actuelle de rpc.nfsd gère les versions 2, 3, 4 et 4.1 de NFS.

-s, --syslog
    Par défaut, rpc.nfsd envoie les messages d'erreur (et de débogage si l'option adéquate est activée) vers la sortie d'erreur standard. Cette option ordonne à rpc.nfsd d'enregistrer ces messages dans le journal système (syslog). Notez que les erreurs rencontrées pendant le traitement des options seront quand même envoyées vers la sortie d'erreur standard.

-T, --no-tcp
    Refuser les connexions TCP des clients.

-U, --no-udp
    Refuser les connexions UDP des clients.

-V, --nfs-version version
    Cette option peut être utilisée pour demander à rpc.nfsd de prendre en charge certaines versions de NFS. La version actuelle de rpc.nfsd gère les versions 2, 3, 4 et 4.1 de NFS.

-L, --lease-time secondes
    Régler la durée de contrat (lease-time) utilisée pour NFSv4. Cela correspond à quelle fréquence les clients doivent confirmer leur état par rapport au serveur. L’intervalle autorisé est de 10 à 3600 secondes.

-G, --grace-time secondes
    Régler le délai de grâce utilisé pour NFSv4 et NLM (pour NFSv2 et NFSv3). Les requêtes d’ouverture de nouveau fichier (NFSv4) et les verrous de nouveau fichier (NLM) ne seront autorisés qu’après l’expiration du délai pour permettre aux clients de récupérer leur état.

nombre_processus
    Préciser le nombre de processus légers (« threads ») du serveur NFS. Par défaut, un seul processus est lancé. Toutefois, pour atteindre des performances optimales, plusieurs processus peuvent être lancés. Le chiffre réel dépend du nombre de clients et de la charge de travail engendrée par les connexions NFS. Un bon point de départ est 8 processus. Le programme nfsstat(8) permet d'observer les effets d'une modification de cette valeur.

Notez bien que si le serveur NFS est déjà lancé, les options qui définissent l'hôte, le port et le protocole seront ignorées. La seule option prise en compte sera le nombre de processus indiqué et le nombre total de processus nfsd actifs sera augmenté ou diminué afin de s'aligner sur ce nombre. En particulier, rpc.nfsd 0 arrêtera tous les processus légers et fermera donc toutes les connexions actives.

NOTES
Si le programme a été construit avec la prise en charge de TI-RPC, il activera toutes les combinaisons de protocole et famille d'adresses qui sont marquées comme visibles dans la base de données de netconfig.

VOIR AUSSI
nfsd(7), rpc.mountd(8), exports(5), exportfs(8), rpc.rquotad(8), nfsstat(8), netconfig(5).

AUTEUR
Olaf Kirch, Bill Hawes, H. J. Lu, G. Allan Morris III, et un paquet d'autres.

TRADUCTION
La traduction française de cette page de manuel a été créée par Valéry Perrin <valery.perrin.debian@free.fr>, Sylvain Cherrier <sylvain.cherrier@free.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Dominique Simen <dominiquesimen@hotmail.com>, Nicolas Sauzède <nsauzede@free.fr>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Denis Mugnier <myou72@orange.fr>, Cédric Boutillier <cedric.boutillier@gmail.com> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.